de.esprit.netsuite.server.netch

## Class FileUploadService

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.netch.AbstractTransferService
        - - de.esprit.netsuite.server.netch.FileUploadService

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, CancellableTask, LocalCancellableTask, TaskIdHolder, SimpleLogSupport, Dumpable, Executable, ServerObject<ServerContext>

      public class FileUploadService
      extends AbstractTransferService

  This class performs the file upload on server side
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadService(ServerContext serverCtx, TransferServiceTask transferTask, FileTransferJob job)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Contains the code to be executed.
    `protected java.lang.String` | `getServerFileInfo()`
    `FileTransferJob` | `getTransferJob()`
    `boolean` | `isKeepZippedOnServer()`

    - ### Methods inherited from class de.esprit.netsuite.server.netch.AbstractTransferService

      `cancel, downloadFileData, getFileDataType, getRealFileSize, getServerFile, getTaskId, getTransferConnection, isTransferZipped, wasCancelled, wasFoundZippedOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadService

          public FileUploadService(ServerContext serverCtx,
                           TransferServiceTask transferTask,
                           FileTransferJob job)

  - ### Method Detail

    - #### execute

          public final void execute()
                             throws java.lang.Exception

      Description copied from interface: `Executable`
      Contains the code to be executed. This method is to be called in order to execute the code synchronously. In this case no other execution thread is involved.
      Specified by:
        `execute` in interface `Executable`
      Specified by:
        `execute` in class `AbstractTransferService`
      Throws:
        `java.lang.Exception`

    - #### getTransferJob

          public final FileTransferJob getTransferJob()

      Overrides:
        `getTransferJob` in class `AbstractTransferService`

    - #### isKeepZippedOnServer

          public final boolean isKeepZippedOnServer()

    - #### getServerFileInfo

          protected java.lang.String getServerFileInfo()

      Overrides:
        `getServerFileInfo` in class `AbstractTransferService`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.